# Vlastní čísla

- $A \cdot \vec{u} = \lambda \cdot \vec{u}$
    - $\vec{u} \in U \smallsetminus \{\vec{o}\}$ (u nulového vektoru by to platilo vždy)
- $(\lambda I-A) \cdot \vec{u} = \vec{o}$

## Vlastní čísla

1. Vypočítáme determinant matice
   $\det{(\lambda I - A)}$ -> výsledkem je **charakteristický polynom**
2. V průběhu si zkusíme vytknout něco s lambdou, např. $(\lambda-5)$
3. Výsledek zapíšeme ve tvaru $(\lambda-5)(\lambda+2)^2$ a získáme kořeny polynomu - vlastní čísla
	 - $(\lambda_{1} = 5, \lambda_{2,3} = -2)$

### Spektrum matice
- soubor všech vlastních čísel
- značí se $Sp(A)$

## Vlastní vektory

1. Dosadíme vlastní číslo za lambdu
2. Vypočítáme GJEM z matice s dosazenou lambdou
3. Pomocí $n-hod(\lambda I-A)$ zjistíme počet dosazovaných LN vektorů
4. Do vlastního vektoru odzadu dosadíme LN vektory (pokud jen 1, dosadíme nenulové číslo)
5. Dopočítáme pomocí rovnic v matici zbytek souřadnic
   např.: $h_{1} = [2, -1, 1]^T$

Pokud nám chybí některé $h_{i}$ (máme vícenásobné vl. číslo ale $n-hod(\lambda I-A)$ vyjde menší), je možné $h_3$ dopočítat opakováním postupu pro $(\lambda I-A)\times x = -h_{2}$.

Vlastním vektorem $h_{1} = [2, -1, 1]$ se myslí $t\cdot [2, -1, 1], t\in R$

### Podobnost matic

Matice $A$ a $B$ jsou podobné, jestli existuje matice $T$ taková, aby platilo $A = T^{-1}BT$.
- pokud je A podobná B, je zároveň B podobná A, platí tedy i:
	- $TA = BT$
	- $TAT^{-1} = B$
- každá matice je podobná sama sobě ($T$ by byla jednotková matice $I$)

Pokud jsou matice A a B podobné, mají stejné charakteristické polynomy i spektra.

#### Diagonalizace

Matice NxN je diagonalizovatelná právě když
- má N lineárně nezávislých vlastních vektorů
- má různá vlastní čísla
- je symetrická nebo jednotková

### Jordanův kanonický tvar

1. Na diagonálu dáme jednotlivá vlastní čísla
2. Pokud jsme dopočítávali vlastní vektor pro některé vlastní číslo, je potřeba dát 1 nad diagonálu u Jordanova bloku

### Lineární operátor

- lineární zobrazení $\mathbb{L} : U \to U$